/*
 * BlackLightning.PluginLib.(enums)
 * Andy Tidball
 * 
 * Project: Black Lightning Plugin Library
 * Copyright: GNU General Public License
 */

namespace BlackLightning.PluginLib {
	/// <summary>
	/// An enumeration of all supported front end programs.
	/// </summary>
	public enum FrontEnd {
		/// <summary>
		/// The StormFront client software.
		/// </summary>
		StormFront,

		/// <summary>
		/// The Wizard client software.
		/// </summary>
		Wizard
	}

	/// <summary>
	/// An enumeration of all supported games.
	/// </summary>
	public enum Game {
		/// <summary>
		/// GemStone IV Prime.
		/// </summary>
		GemStone,

		/// <summary>
		/// GemStone IV Platinum.
		/// </summary>
		GemStonePlatinum,

		/// <summary>
		/// GemStone IV development server.
		/// </summary>
		GemStoneDevelopment,

		/// <summary>
		/// DragonRealms Prime.
		/// </summary>
		DragonRealms,

		/// <summary>
		/// DragonRealms Platinum.
		/// </summary>
		DragonRealmsPlatinum,

		/// <summary>
		/// DragonRealms The Fallen.
		/// </summary>
		DragonRealmsFallen,

		/// <summary>
		/// DragonRealms development server.
		/// </summary>
		DragonRealmsDevelopment,

		/// <summary>
		/// Modus Operandi.
		/// </summary>
		ModusOperandi,

		/// <summary>
		/// Modus Operandi development server.
		/// </summary>
		ModusOperandiDevelopment,

		/// <summary>
		/// Alliance of Heroes.
		/// </summary>
		AllianceOfHeroes,

		/// <summary>
		/// Alliance Of Heroes development server.
		/// </summary>
		AllianceOfHeroesDevelopment
	}
}