/*
 * BlackLightning.PluginLib.Modules.(enum)
 * Andy Tidball
 * 
 * Project: Black Lightning Plugin Library
 * Copyright: GNU General Public License
 */

using System;

namespace BlackLightning.PluginLib.Modules {
	/// <summary>
	/// An enumeration of all the protocols used to communicate between front ends and game servers.
	/// </summary>
	public enum Protocol {
		/// <summary>
		/// The XML-based protocol used by StormFront and eScape.
		/// </summary>
		StormFront,

		/// <summary>
		/// The GSL protocol used by the Wizard and zMUD.
		/// </summary>
		GSL
	}
}
